org.springframework.cloud.dataflow.rest.resource

## Class JobExecutionThinResource

- java.lang.Object
- - org.springframework.hateoas.RepresentationModel<JobExecutionThinResource>
  - - org.springframework.cloud.dataflow.rest.resource.JobExecutionThinResource

-     public class JobExecutionThinResource
      extends org.springframework.hateoas.RepresentationModel<JobExecutionThinResource>

  A HATEOAS representation of a JobExecution without the StepExecutions.
  Since:
    2.0
  Author:
    Glenn Renfro

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JobExecutionThinResource.Page`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobExecutionThinResource(TaskJobExecution taskJobExecution, TimeZone timeZone)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDuration()`
    `Long` | `getExecutionId()`
    `Long` | `getInstanceId()`
    `Long` | `getJobId()`
    `Properties` | `getJobParameters()`
    `String` | `getJobParametersString()`
    `String` | `getName()`
    `String` | `getStartDate()`
    `Date` | `getStartDateTime()`
    `String` | `getStartTime()`
    `org.springframework.batch.core.BatchStatus` | `getStatus()`
    `int` | `getStepExecutionCount()`
    `long` | `getTaskExecutionId()`
    `TimeZone` | `getTimeZone()`
    `boolean` | `isAbandonable()`
    `boolean` | `isDefined()`
    `boolean` | `isRestartable()`
    `boolean` | `isStoppable()`

    - ### Methods inherited from class org.springframework.hateoas.RepresentationModel

      `add, add, add, addAllIf, addIf, equals, getLink, getLink, getLinks, getLinks, getLinks, getRequiredLink, getRequiredLink, hashCode, hasLink, hasLink, hasLinks, of, of, removeLinks, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobExecutionThinResource

          public JobExecutionThinResource(TaskJobExecution taskJobExecution,
                                          TimeZone timeZone)

  - ### Method Detail

    - #### getTimeZone

          public TimeZone getTimeZone()

    - #### getName

          public String getName()

    - #### getExecutionId

          public Long getExecutionId()

    - #### getStepExecutionCount

          public int getStepExecutionCount()

    - #### getJobId

          public Long getJobId()

    - #### getStartDate

          public String getStartDate()

    - #### getStartTime

          public String getStartTime()

    - #### getDuration

          public String getDuration()

    - #### getInstanceId

          public Long getInstanceId()

    - #### isRestartable

          public boolean isRestartable()

    - #### isAbandonable

          public boolean isAbandonable()

    - #### isStoppable

          public boolean isStoppable()

    - #### getJobParametersString

          public String getJobParametersString()

    - #### getJobParameters

          public Properties getJobParameters()

    - #### getStatus

          public org.springframework.batch.core.BatchStatus getStatus()

    - #### getStartDateTime

          public Date getStartDateTime()

    - #### getTaskExecutionId

          public long getTaskExecutionId()

    - #### isDefined

          public boolean isDefined()

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.